Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class MixedInMetaClass

    java.lang.Object
      groovy.lang.DelegatingMetaClass
          org.codehaus.groovy.runtime.metaclass.OwnedMetaClass
              org.codehaus.groovy.runtime.metaclass.MixedInMetaClass

    class MixedInMetaClass
    extends OwnedMetaClass

author:
  Alex Tkachman

Field Summary

Fields inherited from class DelegatingMetaClass
delegate

Constructor Summary
`MixedInMetaClass(Object instance, Object owner)`

Method Summary
`protected Object` | `getOwner()`
`protected MetaClass` | `getOwnerMetaClass(Object owner)`
`Object` | `invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`

Methods inherited from class OwnedMetaClass

equals, getAttribute, getAttribute, getClassNode, getMetaMethod, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getOwner, getOwnerMetaClass, getProperties, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAttribute, setAttribute, setProperty, setProperty, toString

Methods inherited from class DelegatingMetaClass

addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MixedInMetaClass

    public MixedInMetaClass(Object instance, Object owner)

Method Detail

### getOwner

    protected Object getOwner()

### getOwnerMetaClass

    protected MetaClass getOwnerMetaClass(Object owner)

### invokeMethod

    public Object invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)

Copyright © 2003-2009 The Codehaus. All rights reserved.